# `$eval` ( type in module `ng` )

## Description

Executes the `expression` on the current scope returning the result. Any exceptions in the expression are propagated (uncaught). This is useful when evaluating Angular expressions.

# Example

               var scope = ng.$rootScope.Scope();
               scope.a = 1;
               scope.b = 2;

               expect(scope.$eval('a+b')).toEqual(3);
               expect(scope.$eval(function(scope){ return scope.a + scope.b; })).toEqual(3);

## Usage

    Scope#$eval([expression]);

### Parameters

- `expression(optional) – {(string|function())=} –`

  An angular expression to be executed.

  - `string` : execute using the rules as defined in expression.
  - `function(scope)` : execute the function with the current `scope` parameter.

### Returns

`{*}` –

The result of evaluating the expression.